ranef.lmList {nlme} | R Documentation

## Extract lmList Random Effects

### Description

The difference between the individual `lm` components coefficients and their average is calculated.

### Usage

    ## S3 method for class 'lmList':
    ranef(object, augFrame, data, which, FUN, standard,
                     omitGroupingFactor, ...)

### Arguments

`object` | an object inheriting from class `lmList`, representing a list of `lm` objects with a common model.
`augFrame` | an optional logical value. If `TRUE`, the returned data frame is augmented with variables defined in `data`; else, if `FALSE`, only the coefficients are returned. Defaults to `FALSE`.
`data` | an optional data frame with the variables to be used for augmenting the returned data frame when `augFrame = TRUE`. Defaults to the data frame used to fit `object`.
`which` | an optional positive integer vector specifying which columns of `data` should be used in the augmentation of the returned data frame. Defaults to all columns in `data`.

`FUN`

an optional summary function or a list of summary functions to be applied to group-varying variables, when collapsing `data` by groups. Group-invariant variables are always summarized by the unique value that they assume within that group. If `FUN` is a single function it will be applied to each non-invariant variable by group to produce the summary for that variable. If `FUN` is a list of functions, the names in the list should designate classes of variables in the frame such as `ordered`, `factor`, or `numeric`. The indicated function will be applied to any group-varying variables of that class. The default functions to be used are `mean` for numeric factors, and `Mode` for both `factor` and `ordered`. The `Mode` function, defined internally in `gsummary`, returns the modal or most popular value of the variable. It is different from the `mode` function that returns the S-language mode of the variable.

`standard` | an optional logical value indicating whether the estimated random effects should be "standardized" (i.e. divided by the corresponding estimated standard error). Defaults to `FALSE`.
`omitGroupingFactor` | an optional logical value. When `TRUE` the grouping factor itself will be omitted from the group-wise summary of `data` but the levels of the grouping factor will continue to be used as the row names for the returned data frame. Defaults to `FALSE`.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

a vector with the differences between the individual `lm` coefficients in `object` and their average.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`lmList`, `fixed.effects.lmList`

### Examples

    fm1 <- lmList(distance ~ age | Subject, Orthodont)
    ranef(fm1)
    random.effects(fm1)              # same as above

[Package nlme version 3.1-60 Index]